#include <bits/stdc++.h>

using namespace std;

int N, T;
vector<int> nums;

bool solve(int idx, int sum)
{
    if (sum == T) return true;
    if (idx == N) return false;
    if (sum > T) return false;

    return solve(idx + 1, sum + nums[idx]) || solve(idx + 1, sum);
}

int main()
{
    cin >> N;
    cin >> T;
    nums.resize(N);
    int sum = 0;
    for (int i = 0; i < N; i++) {
        cin >> nums[i];
        sum += nums[i];

        if (nums[i] == T) {
            cout << "PERFEITO!" << endl;
            return 0;
        }
    }

    if (sum == T) {
        cout << "PERFEITO!" << endl;
        return 0;
    }

    if (sum > T && solve(0, 0)) {
        cout << "PERFEITO!";
    } else {
        cout << "IMPOSSIVEL!";
    }
    cout << endl;

    return 0;
}